#
# spec file for package nautilus (Version 2.12.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel cdparanoia coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs eel eel-devel esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-desktop gnome-desktop-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-menus gnome-menus-devel gnome-patch-translation gnome-vfs2 gnome-vfs2-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbeagle libbeagle-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libcroco libcroco-devel libdrm libexif libgcc libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprintui libgnomesu libgnomeui libgnomeui-devel libgsf libgsf-devel libgsf-gnome libidl libjpeg libjpeg-devel libnscd libpng libpng-devel librsvg librsvg-devel libstdc++ libtiff libtool libusb libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed shared-mime-info startup-notification startup-notification-devel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           nautilus
BuildRequires:  cdparanoia eel-devel gnome-common gnome-patch-translation intltool libbeagle-devel libexif libgnomeui-devel libidl librsvg-devel mDNSResponder-devel perl-XML-Parser update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL
Group:          Productivity/File utilities
Autoreqprov:    on
Version:        2.12.2
Release:        64.16
Summary:        The GNOME 2.x Desktop File Manager
Source:         ftp://ftp.gnome.org/pub/gnome/sources/nautilus/2.11/%{name}-%{version}.tar.bz2
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch2:         nautilus-desktop.diff
Patch4:         nautilus-config-defaults.patch
Patch12:        nautilus-hide-desktop-files.patch
Patch13:        nautilus-name-length.patch
Patch20:        nautilus-onlyshowin.patch
Patch23:        nautilus-search-20060510.patch
Patch24:        nautilus-search-desktop.patch
Patch25:        nautilus-submount.patch
Patch27:        nautilus-icon.patch
Patch28:        nautilus-consistent-home-folder-name.diff
Patch29:        nautilus-docpath.patch
Patch30:        nautilus-desktop-file-fallback-icons.diff
Patch32:        nautilus-disable-zoom-control-and-view-as-option-menu.patch
Patch33:        nautilus-default-thumbnail-size.diff
Patch34:        nautilus-6014-network-servers-desktop-icon.diff
Patch35:        nautilus-146947-rename-bad-parameters-message.diff
Patch36:        nautilus-130796-bad-icon-placement.diff
Patch37:        nautilus-perf-no-burn-uri-for-desktop.diff
Patch38:        nautilus-icon-registration.diff
Patch39:        nautilus-155337-icon-positioning-on-reload.diff
Patch40:        nautilus-unscaled-sidebar-menu-icons.patch
Patch41:        nautilus-mime.patch
Patch42:        nautilus-155010-desktop-volume-policy.diff
Patch43:        nautilus-158158-ignore-foreign-desktop-files.diff
Patch44:        nautilus-trash-icon.patch
Patch45:        nautilus-66073-update-progress-dialog.diff
Patch46:        nautilus-142860-vfs-drive-for-extensions.diff
Patch47:        nautilus-158279-add-location-toggle-button.diff
Patch48:        nautilus-i18n.patch
Patch49:        nautilus-172870-support-drives-and-volumes.diff
Patch50:        nautilus-174766-fix-lazy-positioning.diff
PreReq:         filesystem gconf2
Requires:       gnome2-user-docs
Provides:       nautilus2
Obsoletes:      nautilus2
Obsoletes:      medusa < 0.6

%description
This package contains Nautilus, the advanced file manager for the GNOME
2.x Desktop platform.



%debug_package
%package devel
Summary:        Development Package for Nautilus
Group:          Productivity/File utilities
Requires:       %{name} = %{version} libgnomeui-devel glib2-devel gtk2-devel gnome-vfs2-devel
Provides:       nautilus2-devel
Obsoletes:      nautilus2-devel

%description devel 
This package contains all files needed to develop programs that use
features of the Nautilus file manager.



%prep
%setup -q
gnome-patch-translation-prepare
%patch2 -p1
%patch4 -p1
%patch12 -p0
%patch13 -p0
%patch20 -p1
%patch23 -p1
%if ! %sles_version
%patch24
%endif
%patch25 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p0
%patch30 -p1
%patch32
%patch33 -p1
%patch34 -p0
%patch35 -p0
%patch36 -p1
%patch37 -p0
%patch38 -p0
%patch39 -p1
%patch40
%patch41
%patch42 -p0
%patch43 -p1
%patch44
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48
%patch49 -p1
%patch50 -p1
# FIXME: this code updates translation for upstreamed patches.
cd po
intltool-update --pot
for PO in *.po ; do
    if test -f ../po-update/$PO ; then
	msgmerge --compendium=../po-update/$PO -o $PO.new $PO nautilus.pot
	mv $PO.new $PO
    fi
done
cd ..
# END
gnome-patch-translation-update

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && \
        mv configure.in.tmp configure.in
%{?suse_update_config:%{suse_update_config -f}}
libtoolize --force
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --libexecdir=%prefix/lib/nautilus \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib
# only for patch2:
make nautilus.desktop src/network-scheme.desktop
make %{?jobs:-j %jobs}

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 
export LD_LIBRARY=$RPM_BUILD_ROOT/opt/gnome/%_lib
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
%find_lang %{name}
rm docs/Makefile*
%suse_update_desktop_file -N "Nautilus" -G "File Browser" -D "user-guide/user-guide.xml?gosnautilus-1" nautilus       System FileManager
%suse_update_desktop_file -G "File Browser" -D "user-guide/user-guide.xml?gosnautilus-1" network-scheme System Network
%suse_update_desktop_file -D "user-guide/user-guide.xml?gosnautilus-1" nautilus-computer System FileManager
%if ! %sles_version
%suse_update_desktop_file -G "Nautilus Search Tool" -D "user-guide/user-guide.xml?gosnautilus-1" nautilus-search System FileManager
%endif
%suse_update_desktop_file -G "File Browser" -D "user-guide/user-guide.xml?gosnautilus-1" nautilus-home System FileManager
ln -s /opt/gnome/share/icons/gnome/48x48/filesystems/gnome-fs-client.png $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gnome-fs-client.png
ln -s /opt/gnome/share/icons/gnome/48x48/filesystems/gnome-fs-home.png $RPM_BUILD_ROOT%{prefix}/share/pixmaps/gnome-fs-home.png
mkdir -p $RPM_BUILD_ROOT/%prefix/%_lib/nautilus/extensions-1.0
# libnautilus-private does not export its headers, so it can't be used
# outside nautilus,
rm $RPM_BUILD_ROOT%{prefix}/%_lib/libnautilus-private.*a
rm $RPM_BUILD_ROOT%{prefix}/%_lib/libnautilus-private.so

%post
%run_ldconfig
export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source` 
opt/gnome/bin/gconftool-2 --makefile-install-rule etc/opt/gnome/gconf/schemas/apps_nautilus_preferences.schemas >/dev/null

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING-DOCS ChangeLog MAINTAINERS NEWS README THANKS TODO docs/*
%{prefix}/bin/*
%{prefix}/%_lib/*.so.*
%{prefix}/%_lib/bonobo/servers/*.server
%dir %prefix/%_lib/nautilus
%dir %prefix/%_lib/nautilus/extensions-1.0
%{prefix}/share/applications/*.desktop
%{prefix}/share/nautilus
%{prefix}/share/pixmaps/*
%{sysconfdir}/gconf/schemas/apps_nautilus_preferences.schemas

%files devel
%defattr(-,root,root)
%{prefix}/%_lib/*.*a
%{prefix}/%_lib/*.so
%{prefix}/include/*
%{prefix}/%_lib/pkgconfig/*.pc

%changelog -n nautilus
* Wed Jun 07 2006 - jpr@suse.de
- Don't update the .desktop file if it doesn't exist
  (really fix #177551)
* Thu Jun 01 2006 - federico@novell.com
- Added nautilus-172870-support-drives-and-volumes.diff.  This fixes
  https://bugzilla.novell.com/show_bug.cgi?id=172870 by adding proper
  support for displaying unmounted drives as well as mounted volumes.
  This also makes floppies work from the desktop.
- Added nautilus-174766-fix-lazy-positioning.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=174766.  This makes
  volume icons not overlap with other icons in the desktop when
  volumes get mounted.
* Tue May 23 2006 - federico@novell.com
- Updated nautilus-158158-ignore-foreign-desktop-files.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=177777.  All .desktop
  files were being filtered erroneously if they didn't have
  OnlyShowIn/NotShowIn keys.
* Mon May 22 2006 - joeshaw@suse.de
- Only patch in the nautilus-search.desktop file on SL, not SLE,
  since the new main menu has search built-in.  (bnc #177551)
* Wed May 17 2006 - sbrabec@suse.cz
- nautilus-search-bar.c added to POTFILES.in.
* Wed May 17 2006 - sbrabec@suse.cz
- Fixed I18N problems:
  * untranslatable Search string (#173448)
  * uninitialized locale (#173448#c3)
* Wed May 17 2006 - federico@novell.com
- Updated nautilus-158158-ignore-foreign-desktop-files.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=176123.  The
  "OnlyShowIn" key in desktop files can contain multiple items.  Also
  pay attention to the "NotShowIn" key.
* Mon May 15 2006 - federico@novell.com
- Added nautilus-158279-add-location-toggle-button.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=158279.  This adds a
  toggle button to the left of path bar in navigation windows.
  Pressing this button will switch to using a location entry instead
  of the path bar.
* Fri May 12 2006 - federico@novell.com
- Updated nautilus-155010-desktop-volume-policy.diff; this fixes
  https://bugzilla.novell.com/show_bug.cgi?id=175076.  This fixes a
  crash when dragging a volume to the trash.
* Wed May 10 2006 - joeshaw@suse.de
- Update search patch to remove annoying "queuing <whatever>"
  debug spew.
* Wed May 10 2006 - federico@novell.com
- Added nautilus-142860-vfs-drive-for-extensions.diff to fix the
  Nautilus part of bug
  https://bugzilla.novell.com/show_bug.cgi?id=142860.  This lets
  Nautilus extensions see the drives that may correspond to desktop
  icons.
* Mon May 08 2006 - federico@novell.com
- Added nautilus-66073-update-progress-dialog.diff to fix bug
  https://bugzilla.novell.com/show_bug.cgi?id=66073.  The progress
  dialog for file operations now gets updated correctly if several
  small files get copied before a large file.
* Mon May 01 2006 - dobey@suse.de
- Added nautilus-trash-icon.patch to use the theme's trash icon,
  rather than the delete icon, for the "Move to Trash" menu items
* Thu Apr 27 2006 - federico@novell.com
- Updated nautilus-155010-desktop-volume-policy.diff to fix bug
  https://bugzilla.novell.com/show_bug.cgi?id=168280.  This makes
  Nautilus not display two volume icons for no-media-check devices.
* Wed Apr 19 2006 - federico@suse.de
- Removed dot-hidden.dif.  This fixes bug #158158 completely; that
  patch is obsoleted by the updated
  nautilus-158158-ignore-foreign-desktop-files.diff.
* Tue Apr 18 2006 - federico@novell.com
- Added nautilus-158158-ignore-foreign-desktop-files.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=158158.  This makes
  Nautilus ignore .desktop files whose OnlyShowIn property indicates
  that they are specific to another desktop environment.
* Tue Apr 18 2006 - joeshaw@suse.de
- Update nautilus-search patch to correctly handle a search URI
  being passed into nautilus on the command-line.  (bnc #166158)
* Tue Apr 18 2006 - federico@novell.com
- Added nautilus-155010-desktop-volume-policy.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=155010.  This makes
  Nautilus display the same set of drives and volumes as GTK+'s file
  chooser.  It will also display certain drives on the desktop for
  easy access (in particular, drives that do not support notification
  of inserted media, so we always need them to be accessible through
  the GUI, as opposed to being automounted).
* Wed Mar 29 2006 - sbrabec@suse.cz
- Handle inode/directory MIME type (#161824).
* Wed Mar 22 2006 - dobey@suse.de
- Added nautilus-unscaled-sidebar-menu-icons.patch to avoid scaling
  icons in the sidebar and where those same icons are used in menus
* Mon Mar 20 2006 - federico@novell.com
- Added nautilus-155337-icon-positioning-on-reload.diff to fix bug
  [#155337].  Now icons in the desktop are not repositioned if the
  desktop gets reloaded.
* Fri Mar 17 2006 - federico@novell.com
- Added nautilus-perf-no-burn-uri-for-desktop.diff.  This makes
  Nautilus not do unnecessary work when initializing the desktop,
  saving 1 second during login.
- Added nautilus-icon-registration.diff.  This makes Nautilus do less
  work when registering its stock icons, saving about 1.5 seconds
  during login.
* Tue Mar 14 2006 - ro@suse.de
- use beagle on ppc64 as well
* Thu Mar 02 2006 - sbrabec@suse.cz
- Translations from upstream moved to gnome-patch-translation.
* Fri Feb 24 2006 - federico@novell.com
- Added nautilus-130796-bad-icon-placement.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=130796.  This makes
  desktop icons with very wide labels be placed correctly, instead of
  being placed flush left with the edge of the screen.
- Removed nautilus-115467-dont-overlap-volume-icons.diff as it is
  integrated into the new patch.
* Wed Feb 22 2006 - joeshaw@suse.de
- Update nautilus search patch to not display UI when beagled
  isn't running.
* Sun Feb 19 2006 - aj@suse.de
- Reduce BuildRequires.
* Sat Feb 18 2006 - gekker@suse.de
- ficup .desktop files for UI team
* Mon Feb 13 2006 - federico@novell.com
- Added nautilus-130796-bad-icon-placement.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=130796.  This makes
  desktop icons with very wide labels be placed correctly, instead of
  being placed flush left with the edge of the screen.
* Thu Feb 09 2006 - federico@novell.com
- Updated nautilus-6014-network-servers-desktop-icon.diff.  Now we
  hide the "Network Servers" icon in the desktop by default, but we
  have new such items in the Places sidebar and the Go menu.  This
  fixes https://bugzilla.novell.com/show_bug.cgi?id=149685
* Wed Feb 01 2006 - sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Tue Jan 31 2006 - federico@novell.com
- Added nautilus-146947-rename-bad-parameters-message.diff to fix bug
  [#146947].  If you try to use illegal characters when renaming a file
  in an SMB share, Nautilus will now give you a better error message
  instead of a generic "couldn't rename" one.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - joeshaw@suse.de
- Update search patch to only search the files backend
* Wed Jan 18 2006 - gekker@suse.de
- Remove Requires: on control-center2 and gnome-themes (#142237)
* Tue Dec 06 2005 - sbrabec@suse.cz
- Do not require beagle on ppc64.
- Enabled parallel build.
* Mon Dec 05 2005 - federico@novell.com
- Removed nautilus-136167-no-default-window.diff.  This is not the right fix, as external
  apps rely on being to call just "nautilus" without command-line arguments, so that
  Nautilus will open a window showing your Home directory.  Moreover, there's no way for
  Nautilus to tell if it was (re)started by the session manager upon login, or as a result
  of exiting abnormally.
* Thu Dec 01 2005 - federico@novell.com
- Updated nautilus-6014-network-servers-desktop-icon.diff.  When doing "Clean up
  by Name", the Network Servers icon will now be put after your Home icon.
* Thu Dec 01 2005 - federico@novell.com
- Added nautilus-6014-network-servers-desktop-icon.diff to fix bug #6014.  This
  Creates a "Network Servers" icon in the desktop.
- Added nautilus-136167-no-default-window.diff to fix bug #136167.
  When restarted abnormally, Nautilus will no longer open a window for
  your home directory.
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 2.12.2
* Mon Nov 28 2005 - gekker@suse.de
- Enable nauilus sidebar by default (#132383).
* Thu Nov 17 2005 - federico@novell.com
- Added nautilus-default-thumbnail-size.diff.  This makes the default size for
  thumbnails be 64 pixels, which looks better with the default theme than the
  old value of 96 pixels.
* Mon Nov 14 2005 - joeshaw@suse.de
- Update nautilus-search patch to 20051101.
- Add patch to hide the zoom and "view as" controls from the
  location bar.
* Tue Nov 08 2005 - federico@novell.com
- Added nautilus-115467-dont-overlap-volume-icons.diff to fix part of
  bug #115467.  With this, Nautilus will not overlap the icons when
  you insert a CD or USB stick.
* Wed Nov 02 2005 - federico@novell.com
- Updated nautilus-submount.patch to fix bug #127509.  With this, the
  "Unmount volume" command will appear again for network volumes.
* Thu Oct 13 2005 - gekker@suse.de
- Update to version 2.12.1
- Remove upstreamed patch
- Re-diff some patches so that they apply to new version
* Fri Oct 07 2005 - jpr@suse.de
- Update beagle search patch
* Thu Oct 06 2005 - federico@novell.com
- Added nautilus-desktop-file-fallback-icons.diff so that .desktop
  files which don't have an Icon property will fall back to some
  reasonable icons depending on the type of the .desktop file.
* Thu Oct 06 2005 - gekker@suse.de
-  Add DocPath to .desktop file
* Thu Oct 06 2005 - sbrabec@suse.de
- Require gnome-themes.
* Wed Oct 05 2005 - federico@novell.com
- Added nautilus-consistent-home-folder-name.diff to make the name of
  $HOME consistent between the path bar and side bar in Nautilus and
  GtkFileChooser.
* Thu Sep 22 2005 - clahey@suse.de
- Turn off computer icon by default.
* Thu Sep 15 2005 - clahey@suse.de
- Added nautilus-icon.patch to change main icon.  bug #117333
* Thu Sep 08 2005 - federico@novell.com
- Added nautilus-114914-trash-unmount-removable-volume.diff to fix bug
  [#114914].  With this, trash windows will display the correct contents
  if there are mounted removable volumes.
* Thu Sep 08 2005 - adrian@suse.de
- do not show up in konqueror menus (#115880)
- Computer menu entry broken other desktops
* Mon Sep 05 2005 - gekker@suse.de
- Add submount patch (90584)
- Fix spec to apply both desktop search patches
* Mon Sep 05 2005 - mmj@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Sun Aug 28 2005 - jpr@suse.de
- Default to browser mode (113690)
- Add nautilus-search.desktop so gnome-panel has something to launch
  for file searches (113691)
* Tue Aug 23 2005 - rodrigo@suse.de
- Update to version 2.11.92
* Tue Aug 16 2005 - sbrabec@suse.cz
- Updated nautilus-search patch from Joe Shaw.
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 2.11.91
* Tue Aug 02 2005 - gekker@suse.de
- Update to version 2.11.90
* Wed Jul 13 2005 - sbrabec@suse.cz
- Updated to version 2.11.2.
- Added x-nautilus-search beagle integration patch.
- Removed static modules and .la files for libnautilus-private.
* Mon Jun 20 2005 - sbrabec@suse.cz
- Updated to version 2.11.2.
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Fri May 27 2005 - sbrabec@suse.cz
- Removed obsolete PKG_CONFIG_PATH line.
* Wed May 18 2005 - sbrabec@suse.cz
- Updated to version 2.10.1.
* Tue Mar 22 2005 - clahey@suse.de
- Fixes the bug where Places->Connect to server doesn't work
  properly with SSH.
* Mon Mar 21 2005 - hhetter@suse.de
- create .hidden if it does not exist on startup to hide some
  kde services (#58875)
* Mon Mar 14 2005 - clahey@suse.de
- Remove nautilus-background-memory.patch.  Fixes 72063.
* Wed Mar 09 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Mon Mar 07 2005 - gekker@suse.de
- Add nautilus-background-memory.patch
* Fri Mar 04 2005 - gekker@suse.de
- Update to version 2.9.92
* Fri Feb 11 2005 - gekker@suse.de
- Update to 2.9.91
- Remove upstreamed libexif patch
* Mon Feb 07 2005 - gekker@suse.de
- Update to version 2.9.90
* Mon Feb 07 2005 - ro@suse.de
- added gnome-menus to neededforbuild
* Tue Feb 01 2005 - ro@suse.de
- fix last change
* Mon Jan 31 2005 - ro@suse.de
- create directory in build-root before packaging
* Fri Jan 28 2005 - sbrabec@suse.cz
- Packaged empty directory for extensions.
* Wed Jan 19 2005 - clahey@suse.de
- Updated to version 2.9.2.
* Sun Jan 16 2005 - schwab@suse.de
- Fix requires.
* Thu Dec 16 2004 - hvogel@suse.de
- fix filelist
* Thu Dec 16 2004 - hvogel@suse.de
- require gnome-icon-theme for the desktop file icons
* Wed Dec 15 2004 - hvogel@suse.de
- fix desktop file
* Tue Nov 23 2004 - hhetter@suse.de
- require gnome2-user-docs (#48272)
* Fri Nov 19 2004 - ro@suse.de
- removed extra aclocal include directive
* Mon Nov 01 2004 - mmj@suse.de
- Locale rename no to nb
* Tue Oct 19 2004 - sbrabec@suse.cz
- Fixed support for libexif > 0.5.12.
  http://bugzilla.gnome.org/show_bug.cgi?id=143743
* Tue Oct 12 2004 - sbrabec@suse.cz
- Fixed libexecdir for bi-arch (#47050).
* Tue Oct 05 2004 - hhetter@suse.de
- register more nautilus desktop files (#46811)
* Mon Oct 04 2004 - clahey@suse.de
- Updated string in browser-pref patch.
* Wed Sep 29 2004 - sbrabec@suse.cz
- Implemented Open button for mime check warning (#46070),
* Wed Sep 29 2004 - hhetter@suse.de
- fix Computer to drives location
* Tue Sep 21 2004 - hhetter@suse.de
- show "drives:" location instead of "computer:" and recognize
  /var/lib/Desktop
* Wed Sep 08 2004 - clahey@suse.de
- Added OnlyShowIn=GNOME;.
* Tue Aug 24 2004 - dave@suse.de
- Added nautilus-location-crash.patch, ximian bug #63445
* Thu Aug 19 2004 - dave@suse.de
- Added nautilus-submount.patch, fixes ximian bug #63101
* Tue Aug 17 2004 - dave@suse.de
- Added nautilus-startup-notify.patch, fixes ximian bug #62605
* Thu Aug 12 2004 - dave@suse.de
- Added patches:
  nautilus-hide-desktop-files.patch - Update of
  nautilus-hide-separators.patch, fixes ximian bug #62339
  nautilus-trim-desktop-menu.patch - fixes ximian bug #59110
* Thu Jul 29 2004 - dave@suse.de
- Added patches:
  nautilus-desktop-keybindings.patch
  nautilus-hide-separators.patch
  nautilus-name-length.patch
  nautilus-netscape-url-dnd-format.patch
* Wed Jun 23 2004 - dave@suse.de
- Added nautilus-view-dispose.patch
* Thu Jun 17 2004 - dave@suse.de
- Updated to nautilus-2.6.3
* Fri Jun 04 2004 - clahey@suse.de
- Updated to nautilus-2.6.2.
* Tue May 11 2004 - clahey@suse.de
- Added mailto patch.
* Tue May 04 2004 - sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Fri Apr 02 2004 - hhetter@suse.de
- add drives:// to the uri schemes (Bug Id#37848)
* Thu Apr 01 2004 - hhetter@suse.de
- nautilus-uri-schemes.dif: add yast-settings:// and suse-menu://
  to the list of uris which desktop files are interpreted
  (Bug Id#37848)
* Mon Mar 22 2004 - sbrabec@suse.cz
- Provide and obsolete nautilus2-devel.
* Mon Mar 15 2004 - hhetter@suse.de
- install MyComputer Icon on first user startup
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Wed Mar 03 2004 - hhetter@suse.de
- remove control-center2 from #neededforbuild
* Wed Feb 25 2004 - hhetter@suse.de
- apply nautilus-config-defaults.patch: start with sidebar
  disabled, disable sound preview
- remove deprecated filesharing patch
* Fri Feb 20 2004 - sbrabec@suse.cz
- Package renamed to nautilus.
* Thu Feb 12 2004 - hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Mon Feb 09 2004 - hhetter@suse.de
- updated to version 2.4.2 [GNOME2.4.2]
- cs-typo patch has gone upstream, removed
* Sat Jan 10 2004 - adrian@suse.de
- let -devel package require libgnomeui-devel
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.
* Fri Oct 24 2003 - sbrabec@suse.cz
- Fill start-here:// with more usable items.
* Tue Oct 21 2003 - sbrabec@suse.cz
- Typo fix (cs.po).
* Tue Oct 07 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Sep 22 2003 - sbrabec@suse.cz
- Obsolete medusa1.
* Wed Sep 17 2003 - kukuk@suse.de
- Replace nautilus
* Sun Sep 07 2003 - adrian@suse.de
- add Categories
* Mon Aug 25 2003 - hhetter@suse.de
- add filesharing patches
- add filesharing setup tool
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Mon Jul 14 2003 - sbrabec@suse.cz
- Fixed aclocal command.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 - sbrabec@suse.cz
- Updated to version 2.2.4.
- Updated neededforbuild.
- Turned on cdparanoia interface.
- Fixed unpackaged files.
- Packaged more docs.
- Require control-center2.
- Use %%find_lang.
* Wed Mar 19 2003 - hhetter@suse.de
- updated to version 2.2.2
* Tue Feb 25 2003 - hhetter@suse.de
- launch nautilus with --no-desktop in desktop files
  to prevent it from overtaking the desktop in other environments
  as GNOME (#24105)
* Thu Feb 20 2003 - hhetter@suse.de
- remove the starthere - link hack which was only for
  2.0.x versions of nautilus
* Thu Feb 13 2003 - sbrabec@suse.cz
- Updated to version 2.2.1.
* Mon Feb 03 2003 - ro@suse.de
- added startup-notification to neededforbuild
* Wed Jan 29 2003 - hhetter@suse.de
- updated to version 2.2.0.2
* Mon Jan 20 2003 - ro@suse.de
- update to 2.1.91
* Mon Dec 16 2002 - sbrabec@suse.cz
- FHS fix.
- Updated %%files.
- Quick fix of starthere icon look.
* Thu Dec 12 2002 - sbrabec@suse.cz
- Added /media path patch (fixes desktop icon look for removable
  devices).
* Fri Nov 29 2002 - hhetter@suse.de
- updated to version 2.0.8 [GNOME 2.0.3]
* Thu Oct 24 2002 - hhetter@suse.de
- applied new ja-patch from mfabian (partly upstream)
- updated to version 2.0.7
* Mon Oct 21 2002 - mfabian@suse.de
- fix corrupted character in ja.po
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Thu Sep 19 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Tue Sep 17 2002 - hhetter@suse.de
- added better hu po-file from tvamosi
* Tue Sep 17 2002 - hhetter@suse.de
- fix hungarian translation
* Tue Aug 20 2002 - hhetter@suse.de
- added PreReq: filesystem
* Tue Aug 06 2002 - hhetter@suse.de
- updated to version 2.0.3
  * Drag and drop has been implemented in the list view.
  * Performance enhancements in the icon factory.
  * Various bugfixes.
* Sat Jul 27 2002 - adrian@suse.de
- fix neededforbuild
- use %%run_ldconfig
* Fri Jul 26 2002 - hhetter@suse.de
- updated to version 2.0.2
  * List view does not hang anymore
  * reflect changes in eel 2.0.2 (background api)
  * fix crash when invoking nautilus -q"
* Thu Jul 25 2002 - hhetter@suse.de
- fix filelist
* Tue Jul 23 2002 - hhetter@suse.de
- updated to version 2.0.1
  * Various UI cleanups from the ui review
  * Various bugfixes
  * The Gnome Nautilus theme now follows the gtk+ theme
  better
  * Window geometry is stored even in
  open-directories-in-same-window
  * All executable bonobo components moved into libexec.
  * Some performance improvements
  * Accessibility fixes
  * Add support for kernel supermount patch
  * Read desktop file icons according to the icon theme
  specification
  * New throbber for the gnome theme
  * large version of trash icon
  * Better handling of disk ejecting
  * Proper handling of launching desktop files according
  to the spec
* Thu Jun 20 2002 - hhetter@suse.de
- don't install schemas while make install
* Fri Jun 14 2002 - hhetter@suse.de
- filelist lookover
- supply schema file
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 2.0.0
* Fri Jun 07 2002 - hhetter@suse.de
- gnome-common in #neededforbuild
* Fri Jun 07 2002 - hhetter@suse.de
- really build nautilus treeview and notes
* Thu Jun 06 2002 - ro@suse.de
- fix libdir usage
* Wed Jun 05 2002 - hhetter@suse.de
- added missing pkgtool files
* Wed Jun 05 2002 - hhetter@suse.de
- updated to version 1.1.19, source frozen
- seperation from mozilla and gtkhtml modules
* Wed May 22 2002 - meissner@suse.de
- changed neededforbuild so we can run autoconf/aclocal, also added
  libjpeg.
- %%_lib fixes.
* Tue May 07 2002 - ro@suse.de
- up to 1.1.15
- added gail to neededforbuild (for eel2)
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 24 2002 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
